package com.cftech.workshop.screen.service;

import com.cftech.core.sql.Conds;
import com.cftech.core.sql.Sort;
import com.cftech.workshop.screen.model.Screen;
import com.cftech.core.generic.GenericService;
import com.cftech.workshop.screen.model.ScreenDto;
import com.cftech.workshop.screen.model.ScreenTopic;
import com.sun.org.apache.xpath.internal.operations.String;

import java.util.List;
import java.util.Map;

/**
* Service
*
* @author byj
* @date: 2018-10-22 15:41
*/
public interface ScreenService extends GenericService<Screen> {

    List<ScreenTopic> selectscreentopic(Conds conds, Sort sort, int page, int pageSize);

    int countscreentopic(Conds conds);

    Screen selectbyconds(Conds conds);

    ScreenDto selectquestion(Conds conds);
}
